Main Page Widgets Namespaces Book

# Glib::ValueBase Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase:

[legend]
List of all members.

## Public Methods

| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type.
void | reset ()
| Reset contents to the default value of its type.
GValue* | gobj ()
const GValue* | gobj () const

## Protected Attributes

GValue | gobject_

## Constructor & Destructor Documentation

Glib::ValueBase::ValueBase | ( |  | ) |

| Initializes the GValue, but without a type. You have to call init() before using the set(), get(), or reset() methods.

Glib::ValueBase::ValueBase | ( | const ValueBase& | other | ) |

Glib::ValueBase::~ValueBase | ( |  | ) |

## Member Function Documentation

const GValue* Glib::ValueBase::gobj | ( |  | ) | const`[inline]`

GValue* Glib::ValueBase::gobj | ( |  | ) | `[inline]`

void Glib::ValueBase::init | ( | GType | type | ) |

| Setup the GValue for storing the specified type. The contents will be initialized to the default value for this type. Note that init() should never be called twice. init() is not implemented as constructor, to avoid the necessity to implement a forward constructor in each derived class.

ValueBase& Glib::ValueBase::operator= | ( | const ValueBase& | other | ) |

void Glib::ValueBase::reset | ( |  | ) |

| Reset contents to the default value of its type.

## Member Data Documentation

GValue Glib::ValueBase::gobject_`[protected]`

The documentation for this class was generated from the following file:

- value.h